org.eclipse.wst.jsdt.js.bower

## Class BowerJson.Builder

- java.lang.Object
- - org.eclipse.wst.jsdt.js.bower.BowerJson.Builder

Enclosing class:
  BowerJson

    public static class BowerJson.Builder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BowerJson.Builder` `authrors(java.util.List<java.lang.String> authors)`
`BowerJson` `build()`
`BowerJson.Builder` `dependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)`
`BowerJson.Builder` `ignore(java.util.List<java.lang.String> ignore)`
`BowerJson.Builder` `license(java.lang.String license)`
`BowerJson.Builder` `name(java.lang.String name)`
`BowerJson.Builder` `version(java.lang.String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### name

    public BowerJson.Builder name(java.lang.String name)

#### version

    public BowerJson.Builder version(java.lang.String version)

#### authrors

    public BowerJson.Builder authrors(java.util.List<java.lang.String> authors)

#### license

    public BowerJson.Builder license(java.lang.String license)

#### ignore

    public BowerJson.Builder ignore(java.util.List<java.lang.String> ignore)

#### dependencies

    public BowerJson.Builder dependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)

#### build

    public BowerJson build()